cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Highlighted

Re: .NET 3.5 on W8

I had a customer email me the other day wanting to update an installer to support Win8 / .NET 3.5.

FWIW, I explained the complications of trying to call DISM and the fact that Windows Update had to be working to get the content.

They ended updating their App.Config SupportedRuntimes element to allow their 3.5 compiled application to run on .NET 4.0. They accepted that as a solution and in the end it's the simplest fix.
0 Kudos
Highlighted
Flexera beginner

Re: .NET 3.5 on W8

0 Kudos
Highlighted
Flexera beginner

Re: .NET 3.5 on W8

I don't understand it:

The cmd with
DISM /online /enable-feature /featurename:NetFx3 /All
started from an admin user is installing Net3.5 without problems.

The cmd started from a standard user ( cmd started als admin nor started in admin box), elevated to that admin user before, ends the installation with error.

Question to MS: Is there any way to enable .Net35 on W8 as standard user?

Regards
Johannes
0 Kudos
Highlighted

Re: .NET 3.5 on W8

I can imagine many things that could go wrong. For example:

GPO may have windows update disabled for the user but enabled for the admin

A firewall/proxy might allow access for the admin but not the user.

The same problems could happen for a deferred / no impersonation (SYSTEM) custom action.

The bottom line is it's just got a lot harder to install .NET 3.5 on Win8. Microsoft is really encouraging moving on to .NET 4.0+.
0 Kudos
Highlighted
Pilgrim

.NET 3.5 on W8

This is frustrating because Microsoft SQL install requires the .net 3.5 feature to be enabled, it neglects to enable it, and flexera can't provide a workaround.
0 Kudos
Highlighted
Pilgrim

Re: .NET 3.5 on W8

Hi

I have the same problem, Return Code: 0x800f0906
How can i check the return code in a custom action" I want to display an error message
'Ask your administrator to enable the policy to use Windows Update to install 3.5 .Net Feature'
What kind of Condition/Properties do i need?

Regards
Toon
0 Kudos